[package]
name = "c2pa-wasm"
version = "0.1.0"
authors = ["Eli Mensch <mensch@adobe.com>"]
edition = "2024"
rust-version.workspace = true

[lib]
crate-type = ["cdylib", "rlib"]

[features]
default = ["console_error_panic_hook"]

[dependencies]
# The `console_error_panic_hook` crate provides better debugging of panics by
# logging them with `console.error`. This is great for development, but requires
# all the `std::fmt` and `std::panicking` infrastructure, so isn't great for
# code size when deploying.
console_error_panic_hook = { version = "0.1.7", optional = true }
console_log = { version = "1.0.0", features = ["color"] }
log = "0.4.27"
js-sys = "0.3.77"
wasm-bindgen-futures = "0.4.50"
c2pa = { workspace = true }
async-trait = "0.1.88"
thiserror = "2.0.12"
serde-wasm-bindgen = "0.6.5"
serde = "1.0.219"
serde_bytes = "0.11.19"

[dependencies.web-sys]
version = "0.3.77"
features = [
	'console',
	'Blob',
	'FileReaderSync',
]

[dependencies.wasm-bindgen]
# Keep this version in sync with the version installed in .github/actions/install-dependencies
version = "0.2.114"

[dev-dependencies]
wasm-bindgen-test = "0.3.50"
